Jump to content


Photo

Version 2.0 has been released


18 replies to this topic

#1 ghostdog

ghostdog
  • Modder
  • 547 posts

Posted 28 December 2009 - 02:19 AM

Merry Christmas everyone !

The new version of the UI is finally here. Now the mod supports ALL resolutions and also offers bigger fonts for most language versions. The bigger fonts are 100% better than the ones in the previous versions of the mod and I consider them even better than the original. The mod has been tested for most standard resolutions up to 1920x1080 but really there's no reason why it shouldn't work for any given resolution, even custom ones. Nevertheless, let me know if it works for you, especially with some notebook/laptop resolutions. Also, I'd really like some feedback from anyone that can test it in resolutions equal or higher than 2560x2048 (eyefinity anyone ?).



You want eye candy ? Here is a video demonstration of the mod :



This will probably be the last version of the UI, except for any possible bug-fixes/tweaks. I want to thank all the people that helped me with this here in SHS and in RPGcodex and especially Taplonaplo, The Vanished One, Qwinn and Scient.


:cheers:


EDIT: The new Fonts support English, German, Italian, French, Spanish, Polish , Hungarian , Russian and Czech. (For Czech just choose the polish fonts)

EDIT2: There is an issue that can appear if you're using the bigger fonts with resolutions smaller than 1280x720. Since the UI uses the default sized dialog box in those resolutions, a bug may happen that will get you stuck in dialog. If this happens just uninstall the fonts and you'll be ok. I'm currently working on a new version that will address these problems. If any of these issues appear in your game please let me know.

Edited by ghostdog, 02 January 2012 - 06:07 AM.


#2 -i30817-

-i30817-
  • Guest

Posted 28 December 2009 - 09:40 AM

Can we choose the size of the bigger fonts? Would be great to have a weidu-like mod (or command line tool) for this, even if we had to have java installed.

I can make a simple UI no problem.

#3 Markus Ramikin

Markus Ramikin
  • Member
  • 92 posts

Posted 28 December 2009 - 09:49 AM

Thanks, Ghostdog! Not going to test it immediately, but I do have another playthrough of Torment planned, together with 4.0 of Qwinn's mod. Looking forward to my 1024x768 with proper UI and reasonable fonts :)

Edited by Markus Ramikin, 28 December 2009 - 09:54 AM.

*coughQwinncoughLotharcoughskullscough*

#4 ghostdog

ghostdog
  • Modder
  • 547 posts

Posted 28 December 2009 - 11:50 AM

Can we choose the size of the bigger fonts? Would be great to have a weidu-like mod (or command line tool) for this, even if we had to have java installed.

I can make a simple UI no problem.


I provide you with 3 different sizes. I wouldn't know how to implement the java tool into weidu and yes it would require java installed, so I don't know if I would really want it in the installer. The fonts I provide are the best fitted in my opinion since bigger ones, wouldn't really fit well in the dialog/journal windows.

If you, or anyone else, wants to try out different sizes/fonts they could have a look here and make their own fonts with the tools provided. To implement them in the game, simply install one of the fonts from my UI. Then rename the fonts you created accordingly: for dialog the name is FONTDL1.bam and for the floating text it's TRMTFONT.bam. Then copy both of them into the override folder and overwrite the ones my UI installed. For reference , I've used DejaVu Serif Bold for the dialog and Bookman old style bold for floating text.

Edited by ghostdog, 28 December 2009 - 11:52 AM.


#5 rtr86

rtr86
  • Member
  • 46 posts

Posted 28 December 2009 - 12:10 PM

:cheers: Well done Ghostdog!
I can't imagine how this mod could be improved on, you've fixed every issue outstanding. Do you think this will be your last PS:T UI release?

Like someone else has said ^ i'm going to have a big PS:T reinstall with Qwinns work once released for the ultimate re-play.

#6 Jarno Mikkola

Jarno Mikkola

    The Imp in his pink raincoat.

  • Member
  • 10911 posts

Posted 28 December 2009 - 02:30 PM

It goes without saying that it also works fine with 1920x1200 resolutions, as I just tried it and yes perfect, so I am just saying... :D
Cerberus v1.05, MegaModKits v1.01L, iiSpellSystemAdjustments v7.1; mods by Jarno Mikkola the Imp. FAQ for the Megamods. The Frequently Answered Questions.
BWS - Standard = not imba items spells or cheats. Tactical = AI hardly stupid = stupid hard. Expert = broke.
In case the BG2 game crashes post the content of your baldur.err file. To get it to record stuff, open up the 'baldur.ini' in your game folder with Notepad, and under the [Program Options] section in the file, make a new line and type in 'Logging On=1' (without the '' quotes, unless the line is already there)... Save the file and exit. Now go back into the game and try to reproduce the crash. Then look in your game folder again for the Baldur.err file and open it with the Notepad to analyze its contents, or let us do it.
Posted Image

I am afraid of nothing.


#7 -Guest-

-Guest-
  • Guest

Posted 28 December 2009 - 05:38 PM

Looks nothing short of amazing!

When Qwinn releases version 4.0 of his mods I will be sure to try it out :)

#8 ghostdog

ghostdog
  • Modder
  • 547 posts

Posted 28 December 2009 - 06:11 PM

Thank you all for your kind words :)
Now, for answering if this is the absolute final version... who knows, we'll see.

#9 ThunderPeel2001

ThunderPeel2001
  • Member
  • 70 posts

Posted 01 January 2010 - 06:15 AM

Thank you all for your kind words :)
Now, for answering if this is the absolute final version... who knows, we'll see.


Brilliant work, GD! I'm really impressed! I've updated my guide, too. Great work!

Is it possible, do you think, to "upgrade" a previous installation? (If they were installed in the order from my guide?)

Once again, great job!

#10 ghostdog

ghostdog
  • Modder
  • 547 posts

Posted 01 January 2010 - 07:14 AM

You don't have to do a new re-install of the game and the other mods. You just have to uninstall the old UI and install the new one. Now, You can upgrade and continue with your old save games as long as you don't change the resolution. If you want to change the resolution you should start a new game.


Don't forget to mention that the new Fonts support English, German, Italian, French, Spanish, Polish , Hungarian , Russian and Czech. (For Czech just choose the polish fonts)

Many thanks for your excellent guide!

Edited by ghostdog, 01 January 2010 - 07:24 AM.


#11 Archmage Silver

Archmage Silver

    Master of The Art

  • Member
  • 6648 posts

Posted 01 January 2010 - 02:42 PM

Great work, ghostdog. Adding this to my mod collection.

By the way, you made the headlines at RPGWatch: http://www.rpgwatch.com/#14113

#12 ghostdog

ghostdog
  • Modder
  • 547 posts

Posted 01 January 2010 - 03:10 PM

Great work, ghostdog. Adding this to my mod collection.

By the way, you made the headlines at RPGWatch: http://www.rpgwatch.com/#14113


w00t !

#13 ghostdog

ghostdog
  • Modder
  • 547 posts

Posted 03 January 2010 - 03:07 AM

There is an issue that can appear if you're using the bigger fonts with resolutions smaller than 1280x720. Since the UI uses the default sized dialog box in those resolutions, a bug may happen that will get you stuck in dialog. If this happens just uninstall the fonts and you'll be ok. I'm currently working on a new version that will address these problems. If any of these issues a[[ear in your game please let me know.

Edited by ghostdog, 03 January 2010 - 05:27 AM.


#14 ThunderPeel2001

ThunderPeel2001
  • Member
  • 70 posts

Posted 03 January 2010 - 05:42 AM

You don't have to do a new re-install of the game and the other mods. You just have to uninstall the old UI and install the new one. Now, You can upgrade and continue with your old save games as long as you don't change the resolution. If you want to change the resolution you should start a new game.


Don't forget to mention that the new Fonts support English, German, Italian, French, Spanish, Polish , Hungarian , Russian and Czech. (For Czech just choose the polish fonts)

Many thanks for your excellent guide!


Ah, something else I need to add - doh! So let me get this straight: Although I can install the new mod, and take advantage of the improvements (such as better fonts, etc.) I can't change the resolution (in Bigg's mod) and keep playing? Shame :(

Edited by ThunderPeel2001, 03 January 2010 - 07:12 AM.


#15 ghostdog

ghostdog
  • Modder
  • 547 posts

Posted 03 January 2010 - 10:29 AM

Ah, something else I need to add - doh! So let me get this straight: Although I can install the new mod, and take advantage of the improvements (such as better fonts, etc.) I can't change the resolution (in Bigg's mod) and keep playing? Shame


Yeah, unfortunately increasing the resolution will result to the game crashing in small areas (houses, etc) where you previously saved the game. It's because of the way the game creates the saves. Someone could try to change the resolution if the said areas are insignificant in his current play, but it's strongly recommended to start a new game.

#16 -M-

-M-
  • Guest

Posted 11 October 2010 - 07:00 AM

Just discovered your mods, I'm pretty happy except for 1 thing. With the UI improvements I know have to drag items all the way across the screen just to move them from 1 person to the next. Is there any way to get the inventory screen opening at the bottom instead of the top?

I have no idea if you're still actively developing these mods/packs, but just a suggestion if you are :)

#17 ghostdog

ghostdog
  • Modder
  • 547 posts

Posted 11 October 2010 - 11:45 AM

The 2.1 version is most likely the final version, so I don't think there will be any further changes. As far as the inventory is concerned it would be a lot of work to change its place, and I wouldn't do it anyway, since I would need to change the placing of all the windows and they wont look good if they're placed in the bottom.

#18 -sinus-

-sinus-
  • Guest

Posted 21 November 2010 - 08:33 PM

Where can i download version 2.0 ?

Want to use resolution lower than x=800.
Do not want big dialog text area.

#19 Nagash

Nagash
  • Member
  • 2 posts

Posted 22 November 2010 - 07:50 AM

Had to register to be able to download older versions of mods.
This wasnt obvious though.



Reply to this topic